# Eneroth Visual Merge

# Copyright Julia Christina Eneroth, eneroth3@gmail.com

require "sketchup.rb"
require "extensions.rb"

module EneVisualMerge

  PLUGIN_ID = File.basename(__FILE__, ".rb")
  PLUGIN_DIR = File.join(File.dirname(__FILE__), PLUGIN_ID)
  REQUIRED_SU_VERSION = 16 # Limited by encryption.

  EXTENSION = SketchupExtension.new(
    "Eneroth Visual Merge",
    File.join(PLUGIN_DIR, "main")
  )
  EXTENSION.creator     = "Julia Christina Eneroth"
  EXTENSION.description =
    "Hide the seam between groups/components where they touch. "\
    "Perfect to get rid of those unpleasant edges between e.g. a slab and a wall."
  EXTENSION.version     = "1.0.3"
  EXTENSION.copyright   = "#{EXTENSION.creator} 2017"
  Sketchup.register_extension(EXTENSION, true)

end
